Loading...
Searching...
No Matches
BALL::HybridisationProcessor Class Reference
Molecular Modeling » Molecular Structure » Miscellaneous

`#include <BALL/STRUCTURE/hybridisationProcessor.h>`

Inheritance diagram for BALL::HybridisationProcessor:

## Classes

struct | Option
| Option names. More...
struct | Default
| Default values for options. More...
struct | Method
struct | Elements_
struct | AtomNames_

## Public Member Functions

Constructors and Destructors
| BALL_CREATE (HybridisationProcessor)
| HybridisationProcessor ()
| default constructor
| HybridisationProcessor (const HybridisationProcessor &hp)
| copy construcor
| HybridisationProcessor (const String &smarts_file_name, const String &ff_file_name)
virtual | ~HybridisationProcessor ()
| destructor
Processor-related methods
virtual bool | start ()
| processor method which is called before the operator () call
virtual Processor::Result | operator() (AtomContainer &ac)
| operator () for the processor
Accessors
Size | getNumberOfHybridisationStatesSet ()
| Return the number of hybridisation states set during the last application.
void | setAtomTypeSmarts (const String &file_name)
vector< std::pair< String, Size > > | getHybridisationMap ()
| Return the atom_types–hybridisation Hashmap.
Assignment
HybridisationProcessor & | operator= (const HybridisationProcessor &hp)
| assignment operator
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | finish ()

## Public Attributes

Options | options
| options
Size | num_hybridisation_states_
| number of bonds, which are created during the processor call
vector< std::pair< String, Size > > | atom_type_smarts_
| structure where atom type smarts and the corresponding hybridisation states are stored in
StringHashMap< StringHashMap< StringHashMap< std::multimap< float, AtomNames_ > > > > | bond_angles_
StringHashMap< Elements_ > | elements_
bool | valid_
| the Processors state
void | setDefaultOptions ()
bool | readAtomTypeSmartsFromFile_ (const String &file_name="")
bool | readAndInitBondAnglesFromFile_ (const String &file_name="")
double | AverageBondAngle_ (Atom *a)
| computes the averaged bond angle for the given Atom

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Hybridisation processor

Definition at line 42 of file hybridisationProcessor.h.

## Constructor & Destructor Documentation

## HybridisationProcessor() [1/3]

BALL::HybridisationProcessor::HybridisationProcessor | ( |  | ) |

default constructor

## HybridisationProcessor() [2/3]

BALL::HybridisationProcessor::HybridisationProcessor | ( | const HybridisationProcessor & | hp | ) |

copy construcor

## HybridisationProcessor() [3/3]

BALL::HybridisationProcessor::HybridisationProcessor | ( | const String & | smarts_file_name,
|  | const String & | ff_file_name )

Constructor with parameter filename for the smarts based algorithm and parameter filename for the force field based method

Exceptions

  BALL::Exception::FileNotFound |

## ~HybridisationProcessor()

virtual BALL::HybridisationProcessor::~HybridisationProcessor | ( |  | ) |

virtual

destructor

## Member Function Documentation

## AverageBondAngle_()

double BALL::HybridisationProcessor::AverageBondAngle_ | ( | Atom * | a | ) |

protected

computes the averaged bond angle for the given Atom

## BALL_CREATE()

BALL::HybridisationProcessor::BALL_CREATE | ( | HybridisationProcessor |  | ) |

## getHybridisationMap()

vector< std::pair< String, Size > > BALL::HybridisationProcessor::getHybridisationMap | ( |  | ) |

inline

Return the atom_types–hybridisation Hashmap.

Definition at line 150 of file hybridisationProcessor.h.

## getNumberOfHybridisationStatesSet()

Size BALL::HybridisationProcessor::getNumberOfHybridisationStatesSet | ( |  | ) |

Return the number of hybridisation states set during the last application.

## operator()()

virtual Processor::Result BALL::HybridisationProcessor::operator() | ( | AtomContainer & | ac | ) |

virtual

operator () for the processor

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## operator=()

HybridisationProcessor & BALL::HybridisationProcessor::operator= | ( | const HybridisationProcessor & | hp | ) |

assignment operator

## readAndInitBondAnglesFromFile_()

bool BALL::HybridisationProcessor::readAndInitBondAnglesFromFile_ | ( | const String & | file_name = "" | ) |

protected

Exceptions

  BALL::Exception::FileNotFound |

## readAtomTypeSmartsFromFile_()

bool BALL::HybridisationProcessor::readAtomTypeSmartsFromFile_ | ( | const String & | file_name = "" | ) |

protected

method to read the paramter file

Exceptions

  BALL::Exception::FileNotFound |

## setAtomTypeSmarts()

void BALL::HybridisationProcessor::setAtomTypeSmarts | ( | const String & | file_name | ) |

sets the parameters file

Exceptions

  BALL::Exception::FileNotFound |

## setDefaultOptions()

void BALL::HybridisationProcessor::setDefaultOptions | ( |  | ) |

reset the options to default values

## start()

virtual bool BALL::HybridisationProcessor::start | ( |  | ) |

virtual

processor method which is called before the operator () call

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## Member Data Documentation

## atom_type_smarts_

vector< std::pair<String, Size> > BALL::HybridisationProcessor::atom_type_smarts_

protected

structure where atom type smarts and the corresponding hybridisation states are stored in

Definition at line 204 of file hybridisationProcessor.h.

## bond_angles_

StringHashMap<StringHashMap<StringHashMap<std::multimap<float, AtomNames_> > > > BALL::HybridisationProcessor::bond_angles_

protected

Contains the bond angles and their atom types. The bond angles are stored in 'rad'.

Definition at line 209 of file hybridisationProcessor.h.

## elements_

StringHashMap<Elements_> BALL::HybridisationProcessor::elements_

protected

Maps the atom types onto their elements

Definition at line 216 of file hybridisationProcessor.h.

## num_hybridisation_states_

Size BALL::HybridisationProcessor::num_hybridisation_states_

protected

number of bonds, which are created during the processor call

Definition at line 201 of file hybridisationProcessor.h.

## options

Options BALL::HybridisationProcessor::options

options

Definition at line 164 of file hybridisationProcessor.h.

## valid_

bool BALL::HybridisationProcessor::valid_

protected

the Processors state

Definition at line 220 of file hybridisationProcessor.h.